Skip to main content
GET
/
v2
/
notifications
/
webhooks
/
{webhook_id}
/
metrics
Get Webhook Subscription Metrics
curl --request GET \
  --url https://api.catenatelematics.com/v2/notifications/webhooks/{webhook_id}/metrics \
  --header 'Authorization: Bearer <token>'
{
  "avg_response_time_ms": {
    "14d": 158,
    "24h": 160,
    "6h": 150,
    "7d": 155
  },
  "dlq_count": 5,
  "ewma_success_rate": 0.98,
  "http_attempts": {
    "14d": 6500,
    "24h": 420,
    "6h": 105,
    "7d": 3000
  },
  "http_failure_attempts": {
    "14d": 500,
    "24h": 20,
    "6h": 5,
    "7d": 200
  },
  "http_success_attempts": {
    "14d": 6000,
    "24h": 400,
    "6h": 100,
    "7d": 2800
  },
  "message_count": {
    "14d": 6000,
    "24h": 400,
    "6h": 100,
    "7d": 2800
  },
  "message_success_count": {
    "14d": 5800,
    "24h": 390,
    "6h": 98,
    "7d": 2700
  },
  "success_rate": {
    "14d": 96,
    "24h": 97,
    "6h": 98,
    "7d": 96
  },
  "webhook_id": "123e4567-e89b-12d3-a456-426614174000"
}

Documentation Index

Fetch the complete documentation index at: https://docs.catenatelematics.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

webhook_id
string<uuid>
required

Response

Successful Response

Webhook Metrics model

Intended to be calculated from the WebhookLogs table and not stored in the database.

webhook_id
string<uuid>
required

The ID of the webhook that the metrics are for

http_attempts
HTTP Attempts · object
required

The total number of HTTP requests made (including retries)

Example:
{
  "14d": 5600,
  "24h": 400,
  "6h": 100,
  "7d": 2800
}
http_success_attempts
Successful HTTP Attempts · object
required

The number of HTTP requests that received a 2xx response

Example:
{
  "14d": 5600,
  "24h": 400,
  "6h": 100,
  "7d": 2800
}
http_failure_attempts
Failed HTTP Attempts · object
required

The number of HTTP requests that failed or received a non-2xx response

Example:
{
  "14d": 5600,
  "24h": 400,
  "6h": 100,
  "7d": 2800
}
message_count
Message Count · object
required

The total number of unique messages/events processed (regardless of retries)

Example:
{
  "14d": 5600,
  "24h": 400,
  "6h": 100,
  "7d": 2800
}
message_success_count
Successful Messages · object
required

The number of messages that were successfully delivered (after all retries)

Example:
{
  "14d": 5600,
  "24h": 400,
  "6h": 100,
  "7d": 2800
}
success_rate
Success Rate · object
required

The success rate of the webhook. Only available if there are at least 200 messages

Example:
{
  "14d": 5600,
  "24h": 400,
  "6h": 100,
  "7d": 2800
}
avg_response_time_ms
Average Response Time · object
required

The average response time of the webhook

Example:
{
  "14d": 5600,
  "24h": 400,
  "6h": 100,
  "7d": 2800
}
ewma_success_rate
number | null
required

The exponentially weighted moving average success rate of the webhook. If lower than 0.95, the webhook is considered unhealthy and marked as stale.

dlq_count
integer
required

The number of messages that failed to be delivered, and were put in the DLQ. Messages are stored for 14 days and must be replayed manually.